Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# PortableServer::ThreadPolicy Interface Reference

`#include <ThreadPolicyC.h>`

Inheritance diagram for PortableServer::ThreadPolicy:

[legend]
Collaboration diagram for PortableServer::ThreadPolicy:

[legend]
List of all members.

## Public Types
typedef ThreadPolicy_ptr | _ptr_type
typedef ThreadPolicy_var | _var_type
## Public Member Functions
virtual ::PortableServer::ThreadPolicyValue | value ()=0 throw ( CORBA::SystemException )
virtual ::CORBA::Policy_ptr | copy ()=0 throw ( CORBA::SystemException )
virtual void | destroy ()=0 throw ( CORBA::SystemException )
virtual CORBA::Boolean | _is_a (const char *type_id)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
## Static Public Member Functions
ThreadPolicy_ptr | _duplicate (ThreadPolicy_ptr obj)
void | _tao_release (ThreadPolicy_ptr obj)
ThreadPolicy_ptr | _narrow (CORBA::Object_ptr obj)
ThreadPolicy_ptr | _unchecked_narrow (CORBA::Object_ptr obj)
ThreadPolicy_ptr | _nil (void)
## Public Attributes
readonly attribute ThreadPolicyValue | value
## Protected Member Functions
| ThreadPolicy (void)
virtual | ~ThreadPolicy (void)
## Private Member Functions
| ThreadPolicy (const ThreadPolicy &)
void | operator= (const ThreadPolicy &)

## Member Typedef Documentation

typedef ThreadPolicy_ptr PortableServer::ThreadPolicy::_ptr_type

| Implements CORBA::Policy.

typedef ThreadPolicy_var PortableServer::ThreadPolicy::_var_type

| Implements CORBA::Policy.

## Constructor & Destructor Documentation

PortableServer::ThreadPolicy::ThreadPolicy | ( | void |  | ) | `[protected]`

PortableServer::ThreadPolicy::~ThreadPolicy | ( | void |  | ) | `[protected, virtual]`

PortableServer::ThreadPolicy::ThreadPolicy | ( | const ThreadPolicy & |  | ) | `[private]`

## Member Function Documentation

PortableServer::ThreadPolicy_ptr PortableServer::ThreadPolicy::_duplicate | ( | ThreadPolicy_ptr | obj | ) | `[static]`

const char * PortableServer::ThreadPolicy::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Implements CORBA::Policy.

virtual CORBA::Boolean PortableServer::ThreadPolicy::_is_a | ( | const char * | type_id | ) | `[virtual]`

| Implements CORBA::Policy.

ThreadPolicy_ptr PortableServer::ThreadPolicy::_narrow | ( | CORBA::Object_ptr | obj | ) | `[static]`

| Implements CORBA::Policy.

ThreadPolicy_ptr PortableServer::ThreadPolicy::_nil | ( | void |  | ) | `[inline, static]`

| Implements CORBA::Policy.

void PortableServer::ThreadPolicy::_tao_release | ( | ThreadPolicy_ptr | obj | ) | `[static]`

ThreadPolicy_ptr PortableServer::ThreadPolicy::_unchecked_narrow | ( | CORBA::Object_ptr | obj | ) | `[static]`

| Implements CORBA::Policy.

virtual ::CORBA::Policy_ptr PortableServer::ThreadPolicy::copy | ( |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implements CORBA::Policy. Implemented in TAO::Portable_Server::ThreadPolicy.

virtual void PortableServer::ThreadPolicy::destroy | ( |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implements CORBA::Policy. Implemented in TAO::Portable_Server::ThreadPolicy.

CORBA::Boolean PortableServer::ThreadPolicy::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Implements CORBA::Policy.

void PortableServer::ThreadPolicy::operator= | ( | const ThreadPolicy & |  | ) | `[private]`

virtual ::PortableServer::ThreadPolicyValue PortableServer::ThreadPolicy::value | ( |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO::Portable_Server::ThreadPolicy.

## Member Data Documentation

readonly attribute ThreadPolicyValue PortableServer::ThreadPolicy::value

The documentation for this interface was generated from the following files:

- ThreadPolicy.pidl
- ThreadPolicyC.h
- ThreadPolicyC.cpp